;; This file:
;;   http://angg.twu.net/elisp/2022-test-use-package.el.html
;;   http://angg.twu.net/elisp/2022-test-use-package.el
;;           (find-angg "elisp/2022-test-use-package.el")
;; Author: Eduardo Ochs <eduardoochs@gmail.com>
;;
;; (find-es "emacs" "use-package")
;; (defun e () (interactive) (find-angg "elisp/2022-test-use-package.el"))


(add-to-list 'load-path "/home/edrx/eev-current")
(require 'eev-load)                 ; (find-eev "eev-load.el")
(eev-mode 1)                        ; (find-eev "eev-mode.el")

(global-set-key (kbd "s-s") 'toggle-scroll-bar)
(global-set-key (kbd "s-t") 'tool-bar-mode)
(global-set-key (kbd "s-m") 'menu-bar-mode)
(global-set-key (kbd "s-f") 'toggle-frame-fullscreen)
(global-set-key (kbd "s-x") 'toggle-frame-maximized)
(global-set-key (kbd "s-d") 'display-time-mode)
(global-set-key (kbd "s-b") 'blink-cursor-mode)
(global-set-key (kbd "s-w") 'wrap)

;; (find-epackage-links 'use-package)
;;
(package-initialize)
(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t)
;; (package-refresh-contents)
;; (package-install 'use-package)
;; (find-epackage   'use-package)
;; (ee-package-dir  'use-package)
;; (find-fline    (ee-package-dir 'use-package))
;; (find-epp     (ee-package-desc 'use-package))
;; (find-estruct (ee-package-desc 'use-package))
;; (kill-new      (ee-package-url 'use-package))
;; (insert "\n# " (ee-package-url 'use-package))
;; (package-delete (ee-package-desc 'use-package))

'
(let ((bootstrap-file (concat user-emacs-directory "straight/repos/straight.el/bootstrap.el"))
      (bootstrap-version 3))
  (unless (file-exists-p bootstrap-file)
    (with-current-buffer
      (url-retrieve-synchronously
       "https://raw.githubusercontent.com/raxod502/straight.el/develop/install.el"
       'silent 'inhibit-cookies)
      (goto-char (point-max))
      (eval-print-last-sexp)))
  (load bootstrap-file nil 'nomessage))

' (setq straight-use-package-by-default t)
' (straight-use-package 'use-package)
' (use-package git)

'
(use-package material-theme
  :straight (emacs-material-theme
           :type git
           :host github
           :repo "cpaulik/emacs-material-theme")
  :config (load-theme 'material t)
  :defer 1)



;; (find-angg ".zshrc" "emacs28_")
;;
'("This is a test block:
• (eepitch-shell)
• (eepitch-kill)
• (eepitch-shell)
rm -Rfv /tmp/fake-home-dir/
mkdir   /tmp/fake-home-dir/
cd      /tmp/fake-home-dir/
HOME=$PWD emacs28_0 -Q -l \
  /home/edrx/elisp/2022-test-use-package.el \
  /home/edrx/elisp/2022-test-use-package.el &

--")



;; Local Variables:
;; coding:  utf-8-unix
;; End:
